Manjaro GNOME after a fresh install dependency problem

I just installed a fresh Manjaro GNOME 42.4 and I’ve tried to update all my packages.

This is from Add/Remove Software:

could not satisfy dependencies:
- unable to satisfy dependency 'expat=2.4.8' required by lib32-expat
- unable to satisfy dependency 'libcap=2.65' required by lib32-libcap
- unable to satisfy dependency 'libbpf.so=0-64' required by qemu-system-x86

This is from terminal after running sudo pacman -Syyu

:: Synchronizing package databases...
 core                                                                                              164.1 KiB   122 KiB/s 00:01 [#############################################################################] 100%
 extra                                                                                            1955.5 KiB  1430 KiB/s 00:01 [#############################################################################] 100%
 community                                                                                           7.3 MiB  15.7 MiB/s 00:00 [#############################################################################] 100%
 multilib                                                                                          180.5 KiB   965 KiB/s 00:00 [#############################################################################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'libbpf.so=0-64' required by qemu-system-x86
:: installing expat (2.4.9-1) breaks dependency 'expat=2.4.8' required by lib32-expat
:: installing libcap (2.66-1) breaks dependency 'libcap=2.65' required by lib32-libcap

Dose anyone what should I do?

Always refresh mirrors first on fresh install:
sudo pacman-mirrors -f5 && sudo pacman -Syyu
or
sudo pacman-mirrors -f5 && pamac update

The equivalent of that can be done from Pamac UI aka Add/Remove Software Preferences

image

Mirrors and then Database …

1 Like

Thx, now is working :smiley:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.